summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorKaizhao Zhang2019-10-10 12:56:18 +0800
committerKaizhao Zhang2019-10-10 12:56:18 +0800
commit585544e8726ff0bef161a3242291f794fcb53465 (patch)
tree58e21dd519434ecbfc6b2cab187e72993308283e
parentfe1d7a76d1beee9195cf5a25ac33d1a9b0bba56a (diff)
downloadaur-585544e8726ff0bef161a3242291f794fcb53465.tar.gz
Updated to version 1.14.3
-rw-r--r--.SRCINFO9
-rw-r--r--PKGBUILD18
2 files changed, 16 insertions, 11 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 402c50734e6..73190d51e3f 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,22 +1,23 @@
pkgbase = python-google-api-core
pkgdesc = Google API client core library
- pkgver = 1.7.0
+ pkgver = 1.14.3
pkgrel = 1
url = https://pypi.org/project/google-api-core/
arch = any
license = APACHE
makedepends = python-setuptools
depends = python>=3.4
- depends = python-googleapis-common-protos>=1.5.5
+ depends = python-googleapis-common-protos>=1.6.0
depends = python-protobuf>=3.4.0
depends = python-google-auth>=0.4.0
depends = python-requests>=2.18.0
depends = python-setuptools>=34.0.0
depends = python-six>=1.10.0
depends = python-pytz
+ optdepends = python-grpcio>=1.8.2: for grpc support
options = !emptydirs
- source = https://files.pythonhosted.org/packages/f3/25/68d1e27defe75a56f1eeed4c807e31692def0052b2f1c81953ed70c3468e/google-api-core-1.7.0.tar.gz
- sha256sums = 85693e163a1a6faea69a74f8feaf35d54dfa2559fbdbbe389c93ffb3bb4c9a79
+ source = https://files.pythonhosted.org/packages/source/g/google-api-core/google-api-core-1.14.3.tar.gz
+ sha256sums = df8adc4b97f5ab4328a0e745bee77877cf4a7d4601cb1cd5959d2bbf8fba57aa
pkgname = python-google-api-core
diff --git a/PKGBUILD b/PKGBUILD
index f111e323de0..35a4bab54d6 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,9 +1,10 @@
# Maintainer: Kaizhao Zhang <zhangkaizhao@gmail.com>
-_srcname=google-api-core
+_name=google-api-core
+_sha256sum=df8adc4b97f5ab4328a0e745bee77877cf4a7d4601cb1cd5959d2bbf8fba57aa
pkgname=python-google-api-core
-pkgver=1.7.0
+pkgver=1.14.3
pkgrel=1
pkgdesc="Google API client core library"
arch=('any')
@@ -11,7 +12,7 @@ url="https://pypi.org/project/google-api-core/"
license=('APACHE')
depends=(
'python>=3.4'
- 'python-googleapis-common-protos>=1.5.5'
+ 'python-googleapis-common-protos>=1.6.0'
'python-protobuf>=3.4.0'
'python-google-auth>=0.4.0'
'python-requests>=2.18.0'
@@ -20,21 +21,24 @@ depends=(
'python-pytz'
)
makedepends=('python-setuptools')
+optdepends=(
+ 'python-grpcio>=1.8.2: for grpc support'
+)
options=(!emptydirs)
source=(
- "https://files.pythonhosted.org/packages/f3/25/68d1e27defe75a56f1eeed4c807e31692def0052b2f1c81953ed70c3468e/google-api-core-${pkgver}.tar.gz"
+ "https://files.pythonhosted.org/packages/source/${_name:0:1}/${_name}/${_name}-${pkgver}.tar.gz"
)
sha256sums=(
- '85693e163a1a6faea69a74f8feaf35d54dfa2559fbdbbe389c93ffb3bb4c9a79'
+ "${_sha256sum}"
)
build() {
- cd "${srcdir}/${_srcname}-${pkgver}"
+ cd "${srcdir}/${_name}-${pkgver}"
python setup.py build
}
package() {
- cd "${srcdir}/${_srcname}-${pkgver}"
+ cd "${srcdir}/${_name}-${pkgver}"
python setup.py install --root="${pkgdir}/" --optimize=1 --skip-build
install -Dm644 README.rst "${pkgdir}/usr/share/doc/${pkgname}/README.rst"
install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"